debug_node_api.debug_generate_blocks_until
disabled
Defined in the steem source (52dcfabb); the debug_node plugin is not enabled on public nodes.
Purpose
Genera bloques (block) localmente hasta una hora de último bloque (head block) especificada. Puede generarlos de forma dispersa.
Parameters
PARAMETERS
json
{
"debug_key": "",
"head_block_time": "1970-01-01T00:00:00",
"generate_sparsely": true
}⚠ Definido en el código fuente de steem, pero no habilitado en los nodos públicos.
Example
BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "debug_node_api.debug_generate_blocks_until",
"params": {
"debug_key": "",
"head_block_time": "1970-01-01T00:00:00",
"generate_sparsely": true
},
"id": 1
}'Response
RESPONSE
json
{
"blocks": 0
}